name: Publish Docker rootless image

on:
  workflow_dispatch:
  push:
    branches: [main]

jobs:
  push_to_registry:
    name: Push Docker image to Docker Hub
    runs-on: docker
    container:
      image: node:20-bullseye
    steps:
      - name: Check out the repo
        uses: actions/checkout@v2

      - name: Set up Docker Buildx
        uses: docker/setup-buildx-action@v3
        
      - name: Docker Login
        uses: docker/login-action@v1.12.0
        with:
          username: ${{ secrets.DOCKER_USERNAME }}
          password: ${{ secrets.DOCKER_PASSWORD }}

      - name: Build and push Docker rootless image
        uses: docker/build-push-action@v2.9.0
        with:
          context: .
          push: true
          file: Dockerfile-rootless
          tags: aroyart/iso-share:latest:latest-rootless
